# 统一 SQL - MySQL 函数

在 MySQL 5.7 中，针对部分功能函数替换，使用了创建函数的方式，需要将 `createFunctions-<version>.sql` 在对应的信创库下**执行一次**。

## 首次执行

命令提示：

```sql
mysql -u root -p -h host < createFunctions-<version>.sql
```

脚本中涉及 `CREATE DATABASE` 以及 `GRANT` 语句，需要使用 `root` 用户执行。

## 新增用户

由于 `MySQL` 无法将某个数据库设置为‘共享’状态，当新增了 `MySQL` 用户后，需要为新用户分配统一 SQL 数据库的函数执行权限。

分配方法：

```sql
call unisql.GrantUnisqlPermissions();
```

需要使用 root 用户来执行。

## 脚本升级

`createFunctions-<version>.sql` 脚本确保可以多次执行，当统一 SQL 升级时，直接执行最新版脚本即可。
